View Issue Details

IDProjectCategoryView StatusLast Update
0001373XdebugRemote Debuggingpublic2016-12-04 18:33
ReporterkrhoAssigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformOSUbuntu XenialOS Version
Product Version2.5.0RC1 
Target VersionFixed in Version2.5.0 
Summary0001373: Crash in zend_hash_apply_with_arguments when debugging, due to unset symbol table
DescriptionUsing this in custom compiled Xenial package.
This crashes when PHPStorm starts to collect the Variables data
Additional InformationI've obfuscated some paths otherwise BT is intact.
TagsNo tags attached.
Operating System
PHP Version7.1-dev

Activities

krho

2016-12-01 18:54

reporter  

crash.txt (37,393 bytes)
(gdb) run
Starting program: /usr/bin/php app/console foo
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
zend_hash_apply_with_arguments (ht=0xc08, apply_func=apply_func@entry=0x7ffff3498980 <xdebug_add_filtered_symboltable_var>, num_args=num_args@entry=1) at /build/php7.1-7.1.0/Zend/zend_hash.c:1558
1558    /build/php7.1-7.1.0/Zend/zend_hash.c: No such file or directory.
(gdb) bt full
#0  zend_hash_apply_with_arguments (ht=0xc08, apply_func=apply_func@entry=0x7ffff3498980 <xdebug_add_filtered_symboltable_var>, num_args=num_args@entry=1) at /build/php7.1-7.1.0/Zend/zend_hash.c:1558
        idx = <optimized out>
        p = <optimized out>
        args = <error reading variable args (Attempt to dereference a generic pointer.)>
        hash_key = {h = 140737488326960, key = 0x7ffff6818b20 <main_arena>}
        result = <optimized out>
#1  0x00007ffff349c515 in attach_context_vars (func=0x7ffff3498930 <attach_used_var_with_contents>, depth=<optimized out>, context_id=<optimized out>, options=0xd1f380, node=0xd88670)
    at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:1787
        tmp_hash = 0xd62820
        old_fse = <optimized out>
        fse = 0xd84080
        var_name = 0xd91620 ""
#2  xdebug_dbgp_handle_context_get (retval=0x7fffffff9250, context=<optimized out>, args=<optimized out>) at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:1896
        context_id = <optimized out>
        depth = <optimized out>
        options = 0xd1f380
#3  0x00007ffff34997d7 in xdebug_dbgp_parse_option (flags=0, retval=0xd88670, line=0xd61b00 "context_get -i 16 -d 0 -c 0", context=0x7ffff36bb2c8 <xdebug_globals+808>) at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:2152
        ret = 0
        cmd = <optimized out>
        res = 0
        args = <optimized out>
        error = <optimized out>
#4  xdebug_dbgp_cmdloop (context=context@entry=0x7ffff36bb2c8 <xdebug_globals+808>, bail=bail@entry=1) at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:2201
        option = 0xd61b00 "context_get -i 16 -d 0 -c 0"
        ret = 0
        response = 0xd88670
#5  0x00007ffff349d6ed in xdebug_dbgp_breakpoint (context=0x7ffff36bb2c8 <xdebug_globals+808>, stack=<optimized out>, file=<optimized out>, lineno=48, type=<optimized out>, exception=0x0, code=0x0, message=0x0)
    at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:2473
        response = 0xd88670
        error_container = 0xd874e0
#6  0x00007ffff348e17b in xdebug_statement_call (frame=<optimized out>) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:2683
        break_ok = <optimized out>
        old_error_reporting = <optimized out>
        retval = {value = {lval = 140737087487792, dval = 6.9533360023471973e-310, counted = 0x7fffe81b3f30, str = 0x7fffe81b3f30, arr = 0x7fffe81b3f30, obj = 0x7fffe81b3f30, res = 0x7fffe81b3f30, ref = 0x7fffe81b3f30,
            ast = 0x7fffe81b3f30, zv = 0x7fffe81b3f30, ptr = 0x7fffe81b3f30, ce = 0x7fffe81b3f30, func = 0x7fffe81b3f30, ww = {w1 = 3894099760, w2 = 32767}}, u1 = {v = {type = 16 '\020', type_flags = 33 '!', const_flags = 224 '\340',
              reserved = 231 '\347'}, type_info = 3890225424}, u2 = {next = 32767, cache_slot = 32767, lineno = 32767, num_args = 32767, fe_pos = 32767, fe_iter_idx = 32767, access_flags = 32767, property_guard = 32767}}
        op_array = <optimized out>
        le = <optimized out>
        brk = <optimized out>
        fse = <optimized out>
        lineno = 48
        file = 0x7fffe83de018 "/srv/www/OBFUSCATE/OBFUSCATE/site/lib/K/Bundle/AccountBundle/Model/DefaultDb/AccountModel.php"
        level = <optimized out>
#7  0x000000000068bce2 in zend_llist_apply_with_argument (l=<optimized out>, func=func@entry=0x6db2e0 <zend_extension_statement_handler>, arg=0x7ffff3c175b0) at /build/php7.1-7.1.0/Zend/zend_llist.c:236
        element = 0xb134c0
#8  0x000000000072d3c5 in ZEND_EXT_STMT_SPEC_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1554
No locals.
#9  0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c175b0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#10 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c175b0) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#11 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c175b0) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe81adac0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd84080
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 19899
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff0000000f <error: Cannot access memory at address 0x7fff0000000f>, function = 0x7ffff348e6d4 <xdebug_execute_ex+964> "H\203m\b\001\351\241\001", type = -27472, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#12 0x000000000073a95a in ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:949
        call = 0x7ffff3c175b0
        fbc = 0x7fffe81adac0
---Type <return> to continue, or q <return> to quit---
        object = <optimized out>
        ret = 0x0
#13 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c17510) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#14 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c17510) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#15 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c17510) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe8206e58
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd66ff0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 19623
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fffe8521ee0 "\001", function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386044, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#16 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c17510
        fbc = 0x7fffe8206e58
        object = <optimized out>
        ret = <optimized out>
#17 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c16f50) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#18 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c16f50) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#19 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c16f50) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c104a0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd88f00
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 19622
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000007 <error: Cannot access memory at address 0x7fff00000007>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386040, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#20 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c16f50
        fbc = 0x7ffff3c104a0
        object = <optimized out>
        ret = <optimized out>
#21 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c16e40) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#22 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c16e40) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#23 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c16e40) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe820e838
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd94730
        xfse = <optimized out>
        magic_cookie = <optimized out>
---Type <return> to continue, or q <return> to quit---
        do_return = 0
        function_nr = 19554
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fffe81abf20 "\002", function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386040, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#24 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c16e40
        fbc = 0x7fffe820e838
        object = <optimized out>
        ret = <optimized out>
#25 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c169f0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#26 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c169f0) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#27 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c169f0) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe820eeb8
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd7e9e0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 19311
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000008 <error: Cannot access memory at address 0x7fff00000008>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386040, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#28 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c169f0
        fbc = 0x7fffe820eeb8
        object = <optimized out>
        ret = <optimized out>
#29 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c16730) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#30 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c16730) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#31 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c16730) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe8209e48
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd892d0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 19241
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000001 <error: Cannot access memory at address 0x7fff00000001>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386044, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#32 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c16730
        fbc = 0x7fffe8209e48
        object = <optimized out>
        ret = <optimized out>
#33 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c16170) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#34 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c16170) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
---Type <return> to continue, or q <return> to quit---
        funcname = <optimized out>
        classname = <optimized out>
#35 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c16170) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c104a0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd8a2d0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 19240
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000007 <error: Cannot access memory at address 0x7fff00000007>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386040, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#36 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c16170
        fbc = 0x7ffff3c104a0
        object = <optimized out>
        ret = <optimized out>
#37 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c15550) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#38 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c15550) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#39 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c15550) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe820ce38
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd98df0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 17916
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000008 <error: Cannot access memory at address 0x7fff00000008>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386044, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#40 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c15550
        fbc = 0x7fffe820ce38
        object = <optimized out>
        ret = <optimized out>
#41 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c14f90) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#42 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c14f90) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#43 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c14f90) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c104a0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd81610
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 17915
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000007 <error: Cannot access memory at address 0x7fff00000007>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386040, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#44 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c14f90
        fbc = 0x7ffff3c104a0
---Type <return> to continue, or q <return> to quit---
        object = <optimized out>
        ret = <optimized out>
#45 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c14e30) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#46 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c14e30) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#47 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c14e30) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe8207678
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd8a160
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 17882
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fffe8521ee0 "\001", function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386044, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#48 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c14e30
        fbc = 0x7fffe8207678
        object = <optimized out>
        ret = <optimized out>
#49 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c14870) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#50 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c14870) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#51 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c14870) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c104a0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd89c30
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 17881
        le = <optimized out>
        code_coverage_func_info = {class = 0x7 <error: Cannot access memory at address 0x7>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = -401929184, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#52 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c14870
        fbc = 0x7ffff3c104a0
        object = <optimized out>
        ret = <optimized out>
#53 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c14280) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#54 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c14280) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#55 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c14280) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe820ec48
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd87700
        xfse = <optimized out>
        magic_cookie = <optimized out>
---Type <return> to continue, or q <return> to quit---
        do_return = 0
        function_nr = 17815
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000001 <error: Cannot access memory at address 0x7fff00000001>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386040, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#56 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c14280
        fbc = 0x7fffe820ec48
        object = <optimized out>
        ret = <optimized out>
#57 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c14090) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#58 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c14090) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#59 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c14090) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe8207748
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd8cf00
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 17781
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000001 <error: Cannot access memory at address 0x7fff00000001>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11386044, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#60 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c14090
        fbc = 0x7fffe8207748
        object = <optimized out>
        ret = <optimized out>
#61 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13ad0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#62 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13ad0) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#63 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13ad0) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c104a0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd93600
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 17780
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000007 <error: Cannot access memory at address 0x7fff00000007>, function = 0xadbcbc <php_execute.return_semaphore> "", type = 11492608, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#64 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c13ad0
        fbc = 0x7ffff3c104a0
        object = <optimized out>
        ret = <optimized out>
#65 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c137a0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#66 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c137a0) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
---Type <return> to continue, or q <return> to quit---
        funcname = <optimized out>
        classname = <optimized out>
#67 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c137a0) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c8eb80
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd7b0a0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 5768
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000002 <error: Cannot access memory at address 0x7fff00000002>, function = 0x7ffff3cf4100 "*", type = -204839808, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#68 0x000000000073a95a in ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:949
        call = 0x7ffff3c137a0
        fbc = 0x7ffff3c8eb80
        object = <optimized out>
        ret = 0x0
#69 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13720) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#70 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13720) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#71 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13720) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c8e9e0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd7b4c0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 5767
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000009 <error: Cannot access memory at address 0x7fff00000009>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = -203655640,
          internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#72 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c13720
        fbc = 0x7ffff3c8e9e0
        object = <optimized out>
        ret = <optimized out>
#73 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c135d0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#74 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c135d0) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#75 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c135d0) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c8e840
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd76450
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 1675
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000006 <error: Cannot access memory at address 0x7fff00000006>, function = 0x12c3eee625096b00 <error: Cannot access memory at address 0x12c3eee625096b00>, type = 11492608, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#76 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c135d0
---Type <return> to continue, or q <return> to quit---
        fbc = 0x7ffff3c8e840
        object = <optimized out>
        ret = <optimized out>
#77 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13300) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#78 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13300) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#79 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13300) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c8f188
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd67fb0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 1205
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000008 <error: Cannot access memory at address 0x7fff00000008>, function = 0x6d6643 <zend_std_get_method+67> "H\205\300\017\204>\002", type = -204938136, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#80 0x000000000073a95a in ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:949
        call = 0x7ffff3c13300
        fbc = 0x7ffff3c8f188
        object = <optimized out>
        ret = 0x0
#81 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13030) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#82 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13030) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#83 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13030) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c7f000
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd1f450
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 0
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000005 <error: Cannot access memory at address 0x7fff00000005>, function = 0x7ffff3c018e0 "\250\027\300\363\377\177", type = 11492912, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#84 0x000000000073cab0 in zend_execute (op_array=op_array@entry=0x7ffff3c7f000, return_value=return_value@entry=0x0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:474
No locals.
#85 0x0000000000698ad3 in zend_execute_scripts (type=type@entry=8, retval=retval@entry=0x0, file_count=file_count@entry=3) at /build/php7.1-7.1.0/Zend/zend.c:1464
        files = <error reading variable files (Attempt to dereference a generic pointer.)>
        i = 1
        file_handle = 0x7fffffffd1a0
        op_array = 0x7ffff3c7f000
#86 0x0000000000636b40 in php_execute_script (primary_file=primary_file@entry=0x7fffffffd1a0) at /build/php7.1-7.1.0/main/main.c:2533
        realfile = "/srv/www/OBFUSCATE/OBFUSCATE/site/app/console\000ite\000\377\377\377\177\000\000T\303\377\377\377\177\000\000\200w\305\000\000\000\000\000\020\300\377\377\377\177\000\000\260\302\377\377\377\177\000\000D\300\377\377\377\177\000\000\000\300\376\367\377\177\000\000x\300\377\377\377\177\000\000t\300\377\377\377\177\000\000\021\016\336\367\377\177\000\000p\372\274\000\000\000\000\000p\347\"\353\377\177\000\000\001\000\000\000\001", '\000' <repeats 11 times>, "\002\000\000\000\002\000\000\000\t\023U\366\377\177\000\000 \213\201\366\377\177\000\000\020\022\000\000\000\000\000\000\060\021\000\000\000\000\000\000"...
        __orig_bailout = 0x7fffffffd210
        __bailout = {{__jmpbuf = {0, -8133356192098348961, 11585392, 8154320, 1, 0, -8133356193134342049, 8133356461362057311}, __mask_was_saved = 0, __saved_mask = {__val = {140737351907485, 9005270781, 140733193388032,
                140737329072952, 140737329073008, 140737488338560, 18446603336221213057, 140737488338559, 140733193388032, 17179869184, 140737248943420, 0, 140737351907485, 8589934592, 140733193388032, 8589934592}}}}
        prepend_file_p = 0x0
        append_file_p = 0x0
        prepend_file = {handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0x0}, reader = 0x0, fsizer = 0x0, closer = 0x0}}, filename = 0x0,
          opened_path = 0x0, type = ZEND_HANDLE_FILENAME, free_filename = 0 '\000'}
        append_file = {handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0x0}, reader = 0x0, fsizer = 0x0, closer = 0x0}}, filename = 0x0,
          opened_path = 0x0, type = ZEND_HANDLE_FILENAME, free_filename = 0 '\000'}
---Type <return> to continue, or q <return> to quit---
        old_cwd = 0x7fffffffacc0 ""
        retval = 0
#87 0x000000000073ed27 in do_cli (argc=3, argv=0xb0c720) at /build/php7.1-7.1.0/sapi/cli/php_cli.c:990
        __orig_bailout = 0x7fffffffe3c0
        __bailout = {{__jmpbuf = {11368672, -8133356191424638881, 0, 0, 140737488348088, 0, -8133356192096251809, 8133356592927805535}, __mask_was_saved = 0, __saved_mask = {__val = {8032255, 8032279, 7922658, 7922679, 8032292,
                8032312, 8032329, 8032893, 8032350, 8032364, 8032386, 8032405, 8032432, 8032461, 0, 0}}}}
        c = <optimized out>
        file_handle = {handle = {fd = -205086544, fp = 0x7ffff3c6a0b0, stream = {handle = 0x7ffff3c6a0b0, isatty = 0, mmap = {len = 1229, pos = 0, map = 0x7ffff7ff5000, buf = 0x7ffff7ff5013 "-\224\064n-\224\064", old_handle = 0xd1f010,
                old_closer = 0x6b5f70 <zend_stream_stdio_closer>}, reader = 0x6b5fa0 <zend_stream_stdio_reader>, fsizer = 0x6b5ef0 <zend_stream_stdio_fsizer>, closer = 0x6b5e70 <zend_stream_mmap_closer>}},
          filename = 0xb0c770 "app/console", opened_path = 0x0, type = ZEND_HANDLE_MAPPED, free_filename = 0 '\000'}
        behavior = <optimized out>
        reflection_what = 0x0
        request_started = 1
        exit_status = 0
        php_optarg = 0x0
        php_optind = 2
        exec_direct = <optimized out>
        exec_run = <optimized out>
        exec_begin = <optimized out>
        exec_end = <optimized out>
        arg_free = <optimized out>
        arg_excp = <optimized out>
        script_file = <optimized out>
        translated_path = 0xd1ef60 "/srv/www/OBFUSCATE/OBFUSCATE/site/app/console"
        lineno = 2
        param_error = 0x0
#88 0x000000000045b20c in main (argc=3, argv=0xb0c720) at /build/php7.1-7.1.0/sapi/cli/php_cli.c:1378
        __orig_bailout = 0x0
        __bailout = {{__jmpbuf = {11368672, -8133356191424638881, 0, 0, 140737488348088, 0, -8133356191408385953, 8133356711776817247}, __mask_was_saved = 0, __saved_mask = {__val = {0 <repeats 12 times>, 18374686479671623680, 0, 0,
                1}}}}
        c = <optimized out>
        exit_status = 0
        module_started = 1
        sapi_started = 1
        php_optarg = 0x0
        php_optind = 1
        use_extended_info = 0
        ini_path_override = 0x0
        ini_entries = 0xb0c9d0 "html_errors=0\nregister_argc_argv=1\nimplicit_flush=1\noutput_buffering=0\nmax_execution_time=0\nmax_input_time=-1\n"
        ini_entries_len = 0
        ini_ignore = 0
        sapi_module = <optimized out>
(gdb)
crash.txt (37,393 bytes)

derick

2016-12-01 19:01

administrator   ~0003858

Thanks for the bug report and backtrace. In order to be able to fix this, I need to be able to reproduce the problem. For that, I need more information. Please refer to https://xdebug.org/support.php#remote to see what I would like to receive.

cheers,
Derick

krho

2016-12-01 19:21

reporter  

sf-standard.txt (25,552 bytes)
/srv/www/github/symfony-standard# gdb --args php bin/console cache:clear
GNU gdb (Ubuntu 7.11.1-0ubuntu1~16.04) 7.11.1
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from php...Reading symbols from /usr/lib/debug/.build-id/7c/840c5420161d2342cf7c9d99ff750553b54a40.debug...done.
done.
(gdb) run
Starting program: /usr/bin/php bin/console cache:clear
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
zend_hash_apply_with_arguments (ht=0x7fff00000003, apply_func=apply_func@entry=0x7ffff3498980 <xdebug_add_filtered_symboltable_var>, num_args=num_args@entry=1) at /build/php7.1-7.1.0/Zend/zend_hash.c:1558
1558    /build/php7.1-7.1.0/Zend/zend_hash.c: No such file or directory.
(gdb) bt full
#0  zend_hash_apply_with_arguments (ht=0x7fff00000003, apply_func=apply_func@entry=0x7ffff3498980 <xdebug_add_filtered_symboltable_var>, num_args=num_args@entry=1) at /build/php7.1-7.1.0/Zend/zend_hash.c:1558
        idx = <optimized out>
        p = <optimized out>
        args = <error reading variable args (Attempt to dereference a generic pointer.)>
        hash_key = {h = 0, key = 0x3000000003}
        result = <optimized out>
#1  0x00007ffff349c515 in attach_context_vars (func=0x7ffff3498930 <attach_used_var_with_contents>, depth=<optimized out>, context_id=<optimized out>, options=0xd1f380, node=0xd59e80)
    at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:1787
        tmp_hash = 0xd46730
        old_fse = <optimized out>
        fse = 0xd798d0
        var_name = 0xd58380 ""
#2  xdebug_dbgp_handle_context_get (retval=0x7fffffff9d80, context=<optimized out>, args=<optimized out>) at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:1896
        context_id = <optimized out>
        depth = <optimized out>
        options = 0xd1f380
#3  0x00007ffff34997d7 in xdebug_dbgp_parse_option (flags=0, retval=0xd59e80, line=0xd51f60 "context_get -i 13 -d 0 -c 0", context=0x7ffff36bb2c8 <xdebug_globals+808>) at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:2152
        ret = 0
        cmd = <optimized out>
        res = 0
        args = <optimized out>
        error = <optimized out>
#4  xdebug_dbgp_cmdloop (context=context@entry=0x7ffff36bb2c8 <xdebug_globals+808>, bail=bail@entry=1) at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:2201
        option = 0xd51f60 "context_get -i 13 -d 0 -c 0"
        ret = 0
        response = 0xd59e80
#5  0x00007ffff349d6ed in xdebug_dbgp_breakpoint (context=0x7ffff36bb2c8 <xdebug_globals+808>, stack=<optimized out>, file=<optimized out>, lineno=35, type=<optimized out>, exception=0x0, code=0x0, message=0x0)
    at /build/php-xdebug-2.5.0/build-7.1/xdebug_handler_dbgp.c:2473
        response = 0xd59e80
        error_container = 0xd4e3a0
#6  0x00007ffff348e17b in xdebug_statement_call (frame=<optimized out>) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:2683
        break_ok = <optimized out>
        old_error_reporting = <optimized out>
        retval = {value = {lval = 206158430248, dval = 1.018557979860957e-312, counted = 0x3000000028, str = 0x3000000028, arr = 0x3000000028, obj = 0x3000000028, res = 0x3000000028, ref = 0x3000000028, ast = 0x3000000028,
            zv = 0x3000000028, ptr = 0x3000000028, ce = 0x3000000028, func = 0x3000000028, ww = {w1 = 40, w2 = 48}}, u1 = {v = {type = 80 'P', type_flags = 159 '\237', const_flags = 255 '\377', reserved = 255 '\377'},
            type_info = 4294942544}, u2 = {next = 32767, cache_slot = 32767, lineno = 32767, num_args = 32767, fe_pos = 32767, fe_iter_idx = 32767, access_flags = 32767, property_guard = 32767}}
        op_array = <optimized out>
        le = <optimized out>
        brk = <optimized out>
        fse = <optimized out>
        lineno = 35
        file = 0x7fffe8263a18 "/srv/www/github/symfony-standard/vendor/symfony/symfony/src/Symfony/Bundle/FrameworkBundle/Command/CacheClearCommand.php"
        level = <optimized out>
#7  0x000000000068bce2 in zend_llist_apply_with_argument (l=<optimized out>, func=func@entry=0x6db2e0 <zend_extension_statement_handler>, arg=0x7ffff3c13fa0) at /build/php7.1-7.1.0/Zend/zend_llist.c:236
        element = 0xb134c0
#8  0x000000000072d3c5 in ZEND_EXT_STMT_SPEC_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1554
No locals.
#9  0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13fa0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#10 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13fa0) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#11 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13fa0) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7fffe8279f68
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd798d0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 8110
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fffe857de40 "\001", function = 0x7fffe857de40 "\001", type = -204286840, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#12 0x000000000073a95a in ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:949
        call = 0x7ffff3c13fa0
        fbc = 0x7fffe8279f68
---Type <return> to continue, or q <return> to quit---
        object = <optimized out>
        ret = 0x0
#13 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13e70) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#14 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13e70) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#15 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13e70) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3d3c1d0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd71210
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 8103
        le = <optimized out>
        code_coverage_func_info = {class = 0x6f6e6d6c00000004 <error: Cannot access memory at address 0x6f6e6d6c00000004>, function = 0x7776757473727170 <error: Cannot access memory at address 0x7776757473727170>, type = 8026488,
          internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#16 0x000000000068984f in zend_call_function (fci=fci@entry=0x7fffffffa2d0, fci_cache=<optimized out>, fci_cache@entry=0x7fffffffa2a0) at /build/php7.1-7.1.0/Zend/zend_execute_API.c:828
        call_via_handler = 0
        current_opline_before_exception = 0x0
        i = <optimized out>
        dummy_execute_data = {opline = 0x7fffe8274a00, call = 0x0, return_value = 0x7fffffffa260, func = 0x7fffffffa26c, This = {value = {lval = 13915600, dval = 6.8752199012684504e-317, counted = 0xd455d0, str = 0xd455d0,
              arr = 0xd455d0, obj = 0xd455d0, res = 0xd455d0, ref = 0xd455d0, ast = 0xd455d0, zv = 0xd455d0, ptr = 0xd455d0, ce = 0xd455d0, func = 0xd455d0, ww = {w1 = 13915600, w2 = 0}}, u1 = {v = {type = 64 '@',
                type_flags = 222 '\336', const_flags = 87 'W', reserved = 232 '\350'}, type_info = 3898072640}, u2 = {next = 32767, cache_slot = 32767, lineno = 32767, num_args = 32767, fe_pos = 32767, fe_iter_idx = 32767,
              access_flags = 32767, property_guard = 32767}}, prev_execute_data = 0x7fffe8279d70, symbol_table = 0x6d1f0a <zend_object_std_init+42>, run_time_cache = 0x7ffff36bafa0 <xdebug_globals>, literals = 0x7fffe857de40}
        fci_cache_local = {initialized = 192 '\300', function_handler = 0xd30787acec8afb00, calling_scope = 0x0, called_scope = 0x18, object = 0x7fffffffa288}
        func = 0x7ffff3d3c1d0
#17 0x000000000054de4c in zim_reflection_class_newInstance (execute_data=<optimized out>, return_value=0x7ffff3c13c70) at /build/php7.1-7.1.0/ext/reflection/php_reflection.c:4864
        params = 0x0
        ret = <optimized out>
        i = <optimized out>
        num_args = 0
        fci = {size = 56, function_name = {value = {lval = 1, dval = 4.9406564584124654e-324, counted = 0x1, str = 0x1, arr = 0x1, obj = 0x1, res = 0x1, ref = 0x1, ast = 0x1, zv = 0x1, ptr = 0x1, ce = 0x1, func = 0x1, ww = {w1 = 1,
                w2 = 0}}, u1 = {v = {type = 0 '\000', type_flags = 0 '\000', const_flags = 0 '\000', reserved = 0 '\000'}, type_info = 0}, u2 = {next = 0, cache_slot = 0, lineno = 0, num_args = 0, fe_pos = 0, fe_iter_idx = 0,
              access_flags = 0, property_guard = 0}}, retval = 0x7fffffffa290, params = 0x0, object = 0x7fffe857de40, no_separation = 1 '\001', param_count = 0}
        fcc = {initialized = 1 '\001', function_handler = 0x7ffff3d3c1d0, calling_scope = 0xc64a80, called_scope = 0x7fffe8279d70, object = 0x7fffe857de40}
        retval = {value = {lval = 140737282914464, dval = 6.9533456577076889e-310, counted = 0x7ffff3c138a0, str = 0x7ffff3c138a0, arr = 0x7ffff3c138a0, obj = 0x7ffff3c138a0, res = 0x7ffff3c138a0, ref = 0x7ffff3c138a0,
            ast = 0x7ffff3c138a0, zv = 0x7ffff3c138a0, ptr = 0x7ffff3c138a0, ce = 0x7ffff3c138a0, func = 0x7ffff3c138a0, ww = {w1 = 4089526432, w2 = 32767}}, u1 = {v = {type = 0 '\000', type_flags = 0 '\000', const_flags = 0 '\000',
              reserved = 0 '\000'}, type_info = 0}, u2 = {next = 32767, cache_slot = 32767, lineno = 32767, num_args = 32767, fe_pos = 32767, fe_iter_idx = 32767, access_flags = 32767, property_guard = 32767}}
        ce = 0x7fffe8279d70
        old_scope = 0x0
        constructor = <optimized out>
#18 0x0000000000687c6a in dtrace_execute_internal (execute_data=<optimized out>, return_value=<optimized out>) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:107
        lineno = <optimized out>
        filename = <optimized out>
#19 0x00007ffff348eff4 in xdebug_execute_internal (current_execute_data=0x7ffff3c13e20, return_value=0x7ffff3c13c70) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:2066
        edata = <optimized out>
        fse = 0xd794c0
        do_return = 0
        function_nr = 8102
        restore_error_handler_situation = 0
        tmp_error_cb = <optimized out>
#20 0x000000000073a41c in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1099
        call = 0x7ffff3c13e20
        fbc = 0xc65b30
        object = <optimized out>
        ret = <optimized out>
#21 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c138a0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#22 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c138a0) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
---Type <return> to continue, or q <return> to quit---
        funcname = <optimized out>
        classname = <optimized out>
#23 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c138a0) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3dc3cb8
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd48160
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 4780
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000001 <error: Cannot access memory at address 0x7fff00000001>, function = 0x6d6643 <zend_std_get_method+67> "H\205\300\017\204>\002", type = -23312, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#24 0x000000000073a95a in ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:949
        call = 0x7ffff3c138a0
        fbc = 0x7ffff3dc3cb8
        object = <optimized out>
        ret = 0x0
#25 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13700) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#26 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13700) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#27 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13700) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3d33198
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd51390
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 4776
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000002 <error: Cannot access memory at address 0x7fff00000002>, function = 0x7ffff3cd8700 "\016", type = -204734224, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#28 0x000000000073a95a in ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:949
        call = 0x7ffff3c13700
        fbc = 0x7ffff3d33198
        object = <optimized out>
        ret = 0x0
#29 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13680) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#30 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13680) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#31 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13680) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3d32ff8
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd52b40
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 4775
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000009 <error: Cannot access memory at address 0x7fff00000009>, function = 0xd30787acec8afb00 <error: Cannot access memory at address 0xd30787acec8afb00>, type = -205448472,
          internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#32 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c13680
---Type <return> to continue, or q <return> to quit---
        fbc = 0x7ffff3d32ff8
        object = <optimized out>
        ret = <optimized out>
#33 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13530) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#34 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13530) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#35 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13530) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3d32e58
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd4b350
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 1848
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000006 <error: Cannot access memory at address 0x7fff00000006>, function = 0xd30787acec8afb00 <error: Cannot access memory at address 0xd30787acec8afb00>, type = 11492608, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#36 0x000000000073a4ee in ZEND_DO_FCALL_SPEC_RETVAL_USED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:1076
        call = 0x7ffff3c13530
        fbc = 0x7ffff3d32e58
        object = <optimized out>
        ret = <optimized out>
#37 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13260) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#38 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13260) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#39 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13260) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3d337a0
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd49ab0
        xfse = <optimized out>
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 1378
        le = <optimized out>
        code_coverage_func_info = {class = 0x7fff00000008 <error: Cannot access memory at address 0x7fff00000008>, function = 0x6d6643 <zend_std_get_method+67> "H\205\300\017\204>\002", type = -204264832, internal = 32767}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#40 0x000000000073a95a in ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER () at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:949
        call = 0x7ffff3c13260
        fbc = 0x7ffff3d337a0
        object = <optimized out>
        ret = 0x0
#41 0x00000000006e1eeb in execute_ex (ex=ex@entry=0x7ffff3c13030) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:429
        orig_opline = 0xadbcba <php_function.entry_semaphore>
        orig_execute_data = 0x0
#42 0x0000000000687b01 in dtrace_execute_ex (execute_data=0x7ffff3c13030) at /build/php7.1-7.1.0/Zend/zend_dtrace.c:83
        lineno = <optimized out>
        scope = 0x0
        filename = <optimized out>
        funcname = <optimized out>
        classname = <optimized out>
#43 0x00007ffff348e608 in xdebug_execute_ex (execute_data=0x7ffff3c13030) at /build/php-xdebug-2.5.0/build-7.1/xdebug.c:1916
        op_array = 0x7ffff3c7e000
        edata = <optimized out>
        dummy = <optimized out>
        fse = 0xd1f450
        xfse = <optimized out>
---Type <return> to continue, or q <return> to quit---
        magic_cookie = <optimized out>
        do_return = 0
        function_nr = 0
        le = <optimized out>
        code_coverage_func_info = {class = 0x5 <error: Cannot access memory at address 0x5>, function = 0x1 <error: Cannot access memory at address 0x1>, type = 10, internal = 0}
        code_coverage_function_name = <optimized out>
        code_coverage_file_name = <optimized out>
#44 0x000000000073cab0 in zend_execute (op_array=op_array@entry=0x7ffff3c7e000, return_value=return_value@entry=0x0) at /build/php7.1-7.1.0/Zend/zend_vm_execute.h:474
No locals.
#45 0x0000000000698ad3 in zend_execute_scripts (type=type@entry=8, retval=retval@entry=0x0, file_count=file_count@entry=3) at /build/php7.1-7.1.0/Zend/zend.c:1464
        files = <error reading variable files (Attempt to dereference a generic pointer.)>
        i = 1
        file_handle = 0x7fffffffd1a0
        op_array = 0x7ffff3c7e000
#46 0x0000000000636b40 in php_execute_script (primary_file=primary_file@entry=0x7fffffffd1a0) at /build/php7.1-7.1.0/main/main.c:2533
        realfile = "/srv/www/github/symfony-standard/bin/console\000ard\000\304\377\377\377\177\000\000T\303\377\377\377\177\000\000\200w\305\000\000\000\000\000\020\300\377\377\377\177\000\000\260\302\377\377\377\177\000\000D\300\377\377\377\177\000\000\000\300\376\367\377\177\000\000x\300\377\377\377\177\000\000t\300\377\377\377\177\000\000\021\016\336\367\377\177\000\000p\372\274\000\000\000\000\000p\347\"\353\377\177\000\000\001\000\000\000\001", '\000' <repeats 11 times>, "\002\000\000\000\002\000\000\000\t\023U\366\377\177\000\000 \213\201\366\377\177\000\000\020\022\000\000\000\000\000\000\060\021\000\000\000\000\000\000"...
        __orig_bailout = 0x7fffffffd210
        __bailout = {{__jmpbuf = {0, 8561065471840233837, 11585392, 8154320, 1, 0, 8561065475082430829, -8561065224567117459}, __mask_was_saved = 0, __saved_mask = {__val = {140737351907485, 9005270781, 140733193388032,
                140737329072952, 140737329073008, 140737488338560, 18446603336221213057, 140737488338559, 140733193388032, 17179869184, 140737248943420, 0, 140737351907485, 8589934592, 140733193388032, 8589934592}}}}
        prepend_file_p = 0x0
        append_file_p = 0x0
        prepend_file = {handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0x0}, reader = 0x0, fsizer = 0x0, closer = 0x0}}, filename = 0x0,
          opened_path = 0x0, type = ZEND_HANDLE_FILENAME, free_filename = 0 '\000'}
        append_file = {handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0x0}, reader = 0x0, fsizer = 0x0, closer = 0x0}}, filename = 0x0,
          opened_path = 0x0, type = ZEND_HANDLE_FILENAME, free_filename = 0 '\000'}
        old_cwd = 0x7fffffffacc0 ""
        retval = 0
#47 0x000000000073ed27 in do_cli (argc=3, argv=0xb0c720) at /build/php7.1-7.1.0/sapi/cli/php_cli.c:990
        __orig_bailout = 0x7fffffffe3c0
        __bailout = {{__jmpbuf = {11368672, 8561065473046620525, 0, 0, 140737488348088, 0, 8561065471838136685, -8561065093001107091}, __mask_was_saved = 0, __saved_mask = {__val = {8032255, 8032279, 7922658, 7922679, 8032292, 8032312,
                8032329, 8032893, 8032350, 8032364, 8032386, 8032405, 8032432, 8032461, 0, 0}}}}
        c = <optimized out>
        file_handle = {handle = {fd = -205086544, fp = 0x7ffff3c6a0b0, stream = {handle = 0x7ffff3c6a0b0, isatty = 0, mmap = {len = 874, pos = 0, map = 0x7ffff7ff5000, buf = 0x7ffff7ff5013 "-\224\064n-\224\064", old_handle = 0xd1f010,
                old_closer = 0x6b5f70 <zend_stream_stdio_closer>}, reader = 0x6b5fa0 <zend_stream_stdio_reader>, fsizer = 0x6b5ef0 <zend_stream_stdio_fsizer>, closer = 0x6b5e70 <zend_stream_mmap_closer>}},
          filename = 0xb0c770 "bin/console", opened_path = 0x0, type = ZEND_HANDLE_MAPPED, free_filename = 0 '\000'}
        behavior = <optimized out>
        reflection_what = 0x0
        request_started = 1
        exit_status = 0
        php_optarg = 0x0
        php_optind = 2
        exec_direct = <optimized out>
        exec_run = <optimized out>
        exec_begin = <optimized out>
        exec_end = <optimized out>
        arg_free = <optimized out>
        arg_excp = <optimized out>
        script_file = <optimized out>
        translated_path = 0xd1ef60 "/srv/www/github/symfony-standard/bin/console"
        lineno = 2
        param_error = 0x0
#48 0x000000000045b20c in main (argc=3, argv=0xb0c720) at /build/php7.1-7.1.0/sapi/cli/php_cli.c:1378
        __orig_bailout = 0x0
        __bailout = {{__jmpbuf = {11368672, 8561065473046620525, 0, 0, 140737488348088, 0, 8561065473029319021, -8561064969308198547}, __mask_was_saved = 0, __saved_mask = {__val = {0 <repeats 12 times>, 18374686479671623680, 0, 0,
                1}}}}
        c = <optimized out>
        exit_status = 0
        module_started = 1
        sapi_started = 1
        php_optarg = 0x0
        php_optind = 1
        use_extended_info = 0
        ini_path_override = 0x0
        ini_entries = 0xb0c9d0 "html_errors=0\nregister_argc_argv=1\nimplicit_flush=1\noutput_buffering=0\nmax_execution_time=0\nmax_input_time=-1\n"
        ini_entries_len = 0
        ini_ignore = 0
        sapi_module = <optimized out>
sf-standard.txt (25,552 bytes)

krho

2016-12-01 19:22

reporter  

xdbg.log (5,858 bytes)

krho

2016-12-01 19:24

reporter   ~0003860

clone the symfony standard, and checkout the v3.2 tag

The place where breakpoint was set is shown in a xdebug.log file

derick

2016-12-01 19:25

administrator   ~0003861

Sorry, I need a little help with "clone the symfony standard". I am not a symfony user, could you please tell me the exact commands to run please?

krho

2016-12-01 19:28

reporter   ~0003862

Last edited: 2016-12-01 19:28

View 2 revisions

git clone git@github.com:symfony/symfony-standard.git
cd symfony-standard
git checkout v3.2.0

composer install

-- run with breakpoint set
bin/console cache:clear

krho

2016-12-01 19:31

reporter   ~0003864

oh BTW this is php 7.1 specific as 7.0 works without a problem

derick

2016-12-02 12:54

administrator   ~0003870

I can reproduce this. Now to find the bug and fix it.

derick

2016-12-02 17:09

administrator   ~0003871

Fixed in GIT, please try it if you can find the time.

And thanks for the report!

Issue History

Date Modified Username Field Change
2016-12-01 18:54 krho New Issue
2016-12-01 18:54 krho File Added: crash.txt
2016-12-01 19:01 derick Note Added: 0003858
2016-12-01 19:01 derick Assigned To => derick
2016-12-01 19:01 derick Status new => feedback
2016-12-01 19:21 krho File Added: sf-standard.txt
2016-12-01 19:22 krho File Added: xdbg.log
2016-12-01 19:24 krho Note Added: 0003860
2016-12-01 19:24 krho Status feedback => assigned
2016-12-01 19:25 derick Note Added: 0003861
2016-12-01 19:25 derick Status assigned => feedback
2016-12-01 19:28 krho Note Added: 0003862
2016-12-01 19:28 krho Status feedback => assigned
2016-12-01 19:28 krho Note Edited: 0003862 View Revisions
2016-12-01 19:31 krho Note Added: 0003864
2016-12-02 12:54 derick Note Added: 0003870
2016-12-02 12:54 derick Status assigned => confirmed
2016-12-02 17:04 derick Summary Chrash in zend_hash_apply_with_arguments when debugging => Crash in zend_hash_apply_with_arguments when debugging, due to unset symbol table
2016-12-02 17:09 derick Note Added: 0003871
2016-12-02 17:09 derick Status confirmed => closed
2016-12-02 17:09 derick Resolution open => fixed
2016-12-02 17:09 derick Fixed in Version => 2.5.0RC2
2016-12-04 18:33 derick Fixed in Version 2.5.0RC2 => 2.5.0